Page MenuHomePhabricator

hewiki.echo_notification does not exist
Closed, ResolvedPublic

Description

Hi. This eve, sometimes, when I open notifications bar, I can see a message "Can't fetch notifications because $1", or something like that. Anytime when I open "Special:Notifications", I get "Database error":
A database query error has occurred. This may indicate a bug in the software.

Function: IndexPager::buildQueryInfo (NotificationPager)
Error: 1146 Table 'hewiki.echo_notification' doesn't exist (10.64.16.28)

Event Timeline

IKhitron created this task.Jun 1 2016, 9:31 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 1 2016, 9:31 PM
IKhitron triaged this task as Unbreak Now! priority.Jun 1 2016, 9:31 PM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 1 2016, 9:31 PM
Catrope added a subscriber: Catrope.Jun 1 2016, 9:55 PM

That's db1039, which is an s7 slave. I don't understand why we'd be contacting an s7 slave, because these tables are on x1.

Change 292281 had a related patch set uploaded (by Mattflaschen):
Fix notification pager

https://gerrit.wikimedia.org/r/292281

Change 292281 merged by jenkins-bot:
Fix notification pager

https://gerrit.wikimedia.org/r/292281

Change 292288 had a related patch set uploaded (by Catrope):
Fix notification pager

https://gerrit.wikimedia.org/r/292288

IKhitron renamed this task from hewiki.echo_notification does not exists to hewiki.echo_notification does not exist.Jun 1 2016, 10:42 PM

Change 292288 merged by jenkins-bot:
Fix notification pager

https://gerrit.wikimedia.org/r/292288

Mentioned in SAL [2016-06-02T01:19:32Z] <dereckson@tin> Synchronized php-1.28.0-wmf.4/extensions/Echo/includes/special/NotificationPager.php: Fix notification pager (T136759) (duration: 00m 25s)

Checked on he.wikipedia.org/wiki - viewing/posting/receiving notifications seem to be without problems or errors.

jmatazzoni closed this task as Resolved.Jun 3 2016, 6:38 PM